Subject: bug#32720: term-mode ignores certain window size changes

From: martin rudalics <[email-masked]>
Date: Sun, 23 Dec 2018 14:40:08 +0100

> I don't quite understand "It might have problems when you show a process
 > buffer in an existing window whose size you never change thereafter."

I've been only guessing.  'window-size-change-functions' triggers only
after a window is created or changed size.  It doesn't trigger when a
window gets another buffer.  So for example the following scenario
should fail:

(1) Show process output in a window.

(2) Display another buffer in that window.

(3) Change the width of the window.

(4) Show the process output again in that window.

I suppose (4) fails to communicate the new window width to the
process.  If you now do

(5) Change the window width again.

everything should be OK.

martin